// タイピストグループ未発見エラー
export class TypistUserGroupNotFoundError extends Error {
  constructor(message: string) {
    super(message);
    this.name = 'TypistUserGroupNotFoundError';
  }
}
// タイピストユーザー未発見エラー
export class TypistUserNotFoundError extends Error {
  constructor(message: string) {
    super(message);
    this.name = 'TypistUserNotFoundError';
  }
}
// タスク未発見エラー
export class TasksNotFoundError extends Error {
  constructor(message: string) {
    super(message);
    this.name = 'TasksNotFoundError';
  }
}
// タスクAuthorID不一致エラー
export class TaskAuthorIdNotMatchError extends Error {
  constructor(message: string) {
    super(message);
    this.name = 'TaskAuthorIdNotMatchError';
  }
}
// チェックアウト権限未発見エラー
export class CheckoutPermissionNotFoundError extends Error {
  constructor(message: string) {
    super(message);
    this.name = 'CheckoutPermissionNotFoundError';
  }
}
// Status不一致エラー
export class StatusNotMatchError extends Error {
  constructor(message: string) {
    super(message);
    this.name = 'StatusNotMatchError';
  }
}
// TypistUser不一致エラー
export class TypistUserNotMatchError extends Error {
  constructor(message: string) {
    super(message);
    this.name = 'TypistUserNotMatchError';
  }
}
// Account不一致エラー
export class AccountNotMatchError extends Error {
  constructor(message: string) {
    super(message);
    this.name = 'AccountNotMatchError';
  }
}
// タスクチェックアウト済みエラー
export class AlreadyHasInProgressTaskError extends Error {
  constructor(message: string) {
    super(message);
    this.name = 'AlreadyHasInProgressTaskError';
  }
}
